### Function Macro

# GLib test_trap_assert_failed

since: 2.16

#### Declaration [src]

    #define g_test_trap_assert_failed (
      void
    )

#### Description [src]

Assert that the last test subprocess failed.

See `g_test_trap_subprocess()`.

This is sometimes used to test situations that are formally considered to be undefined behaviour, like inputs that fail a `g_return_if_fail()` check. In these situations you should skip the entire test, including the call to `g_test_trap_subprocess()`, unless `g_test_undefined()` returns true to indicate that undefined behaviour may be tested.

Available since: 2.16

This function is not directly available to language bindings.